#
# spec file for package perl-Syntax-Keyword-Junction
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Syntax-Keyword-Junction
Version:        0.003008
Release:        3.5
%define cpan_name Syntax-Keyword-Junction
Summary:        Perl6 style Junction operators in Perl5
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Syntax-Keyword-Junction/
Source:         http://www.cpan.org/authors/id/F/FR/FREW/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Sub::Exporter::Progressive) >= 0.001006
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires) >= 0.07
BuildRequires:  perl(parent)
BuildRequires:  perl(syntax)
Requires:       perl(Sub::Exporter::Progressive) >= 0.001006
Requires:       perl(parent)
Requires:       perl(syntax)
%{perl_requires}

%description
This is a lightweight module which provides 'Junction' operators, the most
commonly used being 'any' and 'all'.

Inspired by the Perl6 design docs, the
http://dev.perl.org/perl6/doc/design/exe/E06.html manpage.

Provides a limited subset of the functionality of the
Quantum::Superpositions manpage, see the /"SEE ALSO" manpage for comment.

Notice in the the /SYNOPSIS manpage above, that if you want to match
against a regular expression, you must use '==' or '!='. *Not* '=~' or
'!~'. You must also use a regex object, such as 'qr/\d/', not a plain regex
such as '/\d/'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.003008
  see /usr/share/doc/packages/perl-Syntax-Keyword-Junction/Changes
  0.003008  2014-07-06 20:08:35-05:00 America/Chicago
  - Stop using base.pm (Olivier Mengué)
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.003007
  - Minor typo fixes
  - Finally really silence warnings above 5.17.10
  - Remove useless array copy to measurably improve performance (Maxime Soulé)
  - Make tests pass even if Sub::Exporter is not installed
  - Set version for Test::More dep (reported by ppisar)
* Sun Aug  4 2013 coolo@suse.com
- initial package 0.003004
  * created by cpanspec 1.78.07
